Create TOS Link
curl --request POST \
--url https://api.spherepay.co/v2/customer/{id}/tos-link \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/customer/{id}/tos-link"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/customer/{id}/tos-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expiresAt": "2026-03-09T20:46:31.305Z",
"link": "https://spherepay.co/tos?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjdXN0b21lcl9lMDE2MzNjNWY1OTY0MThiOGU5ZTQzNDEyMzQ2OTk0YyIsImFwcGxpY2F0aW9uSWQiOiJhcHBsaWNhdGlvbl84NWM5ZmE2ZTFjMjk0YzJmOTA2NDcwNWFlYTE3Y2ZkMyIsImN1c3RvbWVyVHlwZSI6ImluZGl2aWR1YWwiLCJtc2FTdGF0dXMiOiJpbmNvbXBsZXRlIiwibXNhUmVxdWlyZWQiOmZhbHNlLCJpYXQiOjE3NjQwMzQwMDUsImV4cCI6MTc2NjQ1MzIwNX0.6z3976YqDxDr5LkMJxoZhw526cu1PGE3nFZtAE8vIfY"
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Documentos e Verificação
Registrar Aceite dos Termos de Serviço do Cliente
Create a TOS link for a customer.
Create TOS Link
Gere um link hospedado de aceite dos Termos de Serviço para um cliente. Este endpoint é necessário apenas no modelo de onboarding Sphere-Managed — no modelo Platform-Managed, o aceite dos Termos de Serviço é tratado pela sua própria plataforma antes que o cliente seja passado ao SpherePay. Redirecione o cliente para o
link retornado para que ele possa revisar e aceitar os Termos de Serviço do SpherePay. O link expira no momento indicado por expiresAt.
O aceite dos Termos de Serviço é uma etapa obrigatória no fluxo KYC gerenciado pelo Sphere. O cliente não pode ser aprovado para transferências até que tenha aceitado os Termos de Serviço. Se você estiver usando o modelo Platform-Managed, ignore este endpoint.
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Customer ID
Exemplo:
"customer_f31121c389624d3697cbf3ea8830b7a4"
Resposta
ISO 8601 formatted date and time of the TOS link expiration
Exemplo:
"2026-03-09T20:46:31.305Z"
Terms of Service link URL
Exemplo:
"https://spherepay.co/tos?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjdXN0b21lcl9lMDE2MzNjNWY1OTY0MThiOGU5ZTQzNDEyMzQ2OTk0YyIsImFwcGxpY2F0aW9uSWQiOiJhcHBsaWNhdGlvbl84NWM5ZmE2ZTFjMjk0YzJmOTA2NDcwNWFlYTE3Y2ZkMyIsImN1c3RvbWVyVHlwZSI6ImluZGl2aWR1YWwiLCJtc2FTdGF0dXMiOiJpbmNvbXBsZXRlIiwibXNhUmVxdWlyZWQiOmZhbHNlLCJpYXQiOjE3NjQwMzQwMDUsImV4cCI6MTc2NjQ1MzIwNX0.6z3976YqDxDr5LkMJxoZhw526cu1PGE3nFZtAE8vIfY"
Última modificação em 22 de junho de 2026